Subject: Re: bug#30462: flyspell-auto-correct-word 'corrects' more than the current word

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 Feb 2018 12:55:18 +0200

> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Fri, 16 Feb 2018 12:15:52 +0200
> 
> On 2/15/18 7:56 PM, Eli Zaretskii wrote:
> 
> >> I would respectfully say fix it to act like its documentation.
> > 
> > That would change its long-standing behavior in incompatible ways, so
> > I don't think we can do that.
> 
> I respectfully disagree. The current behavior is both undocumented and 
> dangerous.

I see your point, but I think the number of years we had this has
greater weight.

> > I'm okay with making this behavior optional, but it will have to be on
> > by default, for backward compatibility.
> 
> Is it really that important in this case? We're allowed to change the 
> defaults from time to time.

Based on only one complaint, after all these years?  I don't think so.

> And having C-M-i (bound to completion-at-point in most other contexts) 
> do something like this is a bad UI.

That ship has sailed a long time ago, so again long-time practice
wins.

IMO, we must maintain stable UI and defaults in Emacs, after so many
years.